body {
  width: 100%;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  overflow: hidden;
}

p {
  font-family: "Abhaya Libre", serif;
  text-align: justify;
}

h1 {
  font-size: 48px;
  font-family: "Baskerville old face", serif;
}

h2 {
  font-size: 28px;
  font-family: "Baskerville old face", serif;
}

h3 {
  font-size: 42px;
  font-family: "Baskerville old face", serif;
}

h4 {
  font-family: "Abhaya Libre", serif;
  font-weight: bold;
  font-size: 22px;
}

@font-face {
  font-family: "Baskerville old face";
  src: url("fonts/baskerville-old-face.ttf") format("ttf");
  font-weight: normal;
  font-style: normal;
}

/*pantalla de carga*/

.loadingScreen {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #1d3828;
  z-index: 9999;
}

.loadingVideo {
  max-width: 80%;
  max-height: 80%;
}

.contennido {
  display: none;
}

/*banner*/

.banner {
  position: relative;
  width: 100%;
}

.banner video {
  width: 100%;
}

/*filosofia*/

.filosofia {
  margin: 70px 40px;
  display: flex;
  justify-content: space-around;
}

.filosofia img {
  width: 40%;
  border-radius: 0 20px 0 20px;
}

.filosofia div {
  width: 45%;
}

.filosofia div h1 {
  margin: 12px 0;
}

.filosofia div h2 {
  color: #1f3c28;
  margin: 12px 0;
}

.filosofia div p {
  font-size: 20px;
}

/*mision y vision*/

.myvision {
  background-color: #1f3c28;
  display: flex;
  justify-content: space-evenly;
  width: 100%;
  padding: 40px 0;
}

.myvision h2 {
  color: #eac18b;
  margin: 0;
}

.myvision p {
  color: #f1faee;
  font-size: 20px;
  margin: 10px 0 10px 0;
}

.myvisiontext {
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 42%;
}

.myvisionimg {
  display: flex;
  width: 42%;
  align-items: center;
  justify-content: center;
}

.myvisionimg img {
  width: 100%;
  border-radius: 20px 0 20px 0;
}

/*animacion*/

.filosofia, .myvision {
    opacity: 0;
    transform: translateY(40px);
    transition: opacity 0.6s ease, transform 0.6s ease;
}
.filosofia.visible, .myvision.visible {
    opacity: 1;
    transform: translateY(0);
}


/*principios*/

.principios {
  width: 90%;
  background-color: #f1faee;
  padding: 30px 5%;
}

.principios h3 {
  margin: 0;
  text-align: center;
}

.principiosContainer {
  width: fit-content;
  display: flex;
  margin: 30px 0;
  align-items: center;
}

.principiosImg {
  background-color: #a07b4a;
  width: 120px;
  height: 120px;
  border-radius: 100px;
  margin: 0 25px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.principiosImg img {
  width: 64px;
  height: 64px;
}

.principiosText {
  max-width: 750px;
  margin: 0 25px;
}

.principiosText h2 {
  margin: 10px 0;
}

.principiosText p {
  font-size: 20px;
  margin: 10px 0;
}

.PC1 {
  margin-left: 0%;
}
.PC2 {
  margin-left: 2.5%;
}
.PC3 {
  margin-left: 5%;
}
.PC4 {
  margin-left: 7.5%;
}
.PC5 {
  margin-left: 10%;
}
.PC6 {
  margin-left: 12.5%;
}
.PC7 {
  margin-left: 15%;
}

/*noticias*/

.noticias {

  width: 100%;

  padding: 40px 0;
  background-color: #1d3327;
  color: white;
}

.noticias h1 {
  margin-bottom: 40px;
  text-align: center;
}


/*servicios*/

.servicios {
  width: 100%;
  background-color: #f1faee;
  padding: 30px 0;
}

.servicios h2 {
  color: #1f3c28;
}

.servicios h1,
.servicios h2 {
  text-align: center;
  margin: 5px;
}

.serviciosContainer {
  width: 96%;
  margin: 20px 2%;
  justify-items: center;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 42px;
}

.serviciosItem {
  width: 355px;
  height: 310px;
  border: 1px solid #bcbcbc;
  background-color: white;
  padding: 50px 22px 30px 22px;
  font-size: 17px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

.serviciosItem img {
  width: 100px;
  margin-bottom: 20px;
}

.serviciosItem h4 {
  margin: 5px;
  color: #1f3c28;
  text-align: center;
}

.serviciosItem p {
  margin: 10px 0;
  width: 360px;
}

.serviciosMasinfo {
  width: 60px;
  height: 60px;
  background-color: #1f3c28;
  display: flex;
  align-items: center;
  justify-content: center;
}

.serviciosMasinfo:hover {
    background-color: #284932; /* un tono más oscuro del original */
    transform: scale(1.1); /* agranda ligeramente */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); /* añade sombra */
    transition: all 0.3s ease; /* animación suave */
}

.serviciosMasinfo img {
  width: 28px;
  height: 28px;
  margin: 0%;
}

@media only screen and (max-width: 600px) {
  .servicios {
    display: none;
  }

  .banner {
    padding-top: 52px;
    background-color: #1d3828;
  }

  .filosofia {
    flex-direction: column;
    margin: 30px;
  }
  .filosofia img {
    width: 100%;
  }
  .filosofia div {
    width: 100%;
  }

  .filosofia div h1 {
    font-size: 36px;
  }

  .filosofia div h2 {
    font-size: 24px;
  }

  .filosofia div p {
    font-size: 18px;
  }

  .myvision {
    flex-direction: column-reverse;
    padding: 7%;
    width: 86%;
  }

  .myvisionimg {
    width: 100%;
  }

  .myvisionimg img {
    width: 100%;
    margin-bottom: 5%;
  }

  .myvisiontext {
    width: 100%;
  }

  .myvisiontext p {
    font-size: 18px;
  }

  .principios h3 {
    font-size: 32px;
    margin-bottom: 4%;
  }

  .principiosContainer {
    margin: 0;
    flex-direction: column;
  }

  .principiosImg img {
    width: 48px;
    height: 48px;
  }

  .principiosImg {
    width: 90px;
    height: 90px;
  }
  .principiosText h2 {
    font-size: 22px;
    text-align: center;
  }

  .principiosText p {
    font-size: 18px;
  }

  .contenedor-tarjetas {
    justify-content: center;
  }
}
